Overview
POST
/access/personas/{id}/may-actregistryGrant a may_act subject kind (user/team/org) to a persona (owner/admin)
Create a record in may-act.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- kind"user" | "team" | "org"
Example
{
"kind": "user"
}Responses
200
the granted subject kinds after the grant
- kinds"self" | "user" | "team" | "org"[]
the subject kinds this persona may act for (always includes 'self')
Example
{
"kinds": [
"self"
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/access/personas/{id}/may-act" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"kind": "user"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/{id}/may-act", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"kind\": \"user\"\n}",
});
const data = await res.json();